# Class BimGeometricFeaturesReader

##### Index

### Constructors

constructor

### Methods

decodeGeometricFeatures

## Constructors

### constructor

- new BimGeometricFeaturesReader(): BimGeometricFeaturesReader

  #### Returns BimGeometricFeaturesReader

## Methods

### decodeGeometricFeatures

- decodeGeometricFeatures(
  data: ArrayBuffer,
  ): Map<string, DecodedGeometricFeatures>

  #### Parameters

  - data: ArrayBuffer

  #### Returns Map<string, DecodedGeometricFeatures>